using System.Net.WebSockets;
using System.Threading;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Http;

namespace BubbleSocketCore.Handlers
{
	interface IHandler
	{
		Task Listen(HttpContext context, WebSocket webSocket, CancellationToken cancellationToken);
		bool IsListening(HttpRequest request);
		void AddSocket(WebSocket webSocket);
	}
}